<template>
  <div>
    <v-text-field
      label="Email"
      outlined
      name="Email"
      v-model="obj.email"
      @input="$emit('update:email', obj.email)"
      :rules="nameEmail"
      prepend-inner-icon="mdi-account"
      type="text"
      autofocus
    ></v-text-field>

    <v-text-field
      id="password"
      label="Password"
      outlined
      v-model="obj.password"
      @input="$emit('update:password', obj.password)"
      :rules="namePassword"
      name="password"
      prepend-inner-icon="mdi-lock"
      type="password"
    ></v-text-field>
  </div>
</template>

<script>
export default {
  data() {
    return {
      obj: {},
      nameEmail: [
        (v) => !!v || "กรุณากรอก Email",
        (v) => /.+@.+/.test(v) || "อีเมล์ ไม่ตามฟอร์แมต",
      ],
      namePassword: [
        (v) => !!v || "กรุณากรอก Password",
        (v) =>
          (!!v && v.length >= 6) || "Password ต้องไม่น้อยกว่า 6 ตัวเท่านั้น",
        (v) =>
          (!!v && v.length <= 18) || "Password ต้องไม่มากกว่า 18 ตัวเท่านั้น",
      ],
    };
  },
};
</script>

<style></style>
